%{?mingw64_package_header}

Name:		mingw64-libewf
Version:	20140608
Release:	0%{?dist}
Summary:        MinGW compiled libewf for the Win64 target.
License:	GPLv2+
Group:		Applications/System
Source0:	libewf-%version.tar.gz
Patch0:		libuna_gcc5.patch
BuildArch:	noarch

BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-openssl
BuildRequires:	mingw64-win-iconv
BuildRequires:	mingw64-zlib
BuildRequires:  mingw64-pkg-config

%description
MinGW compiled libewf for the Win64 target.

#% { ? mingw64_debug_package }

%prep
%setup -q -n libewf-%{version}
%patch0 -p1

%build
%mingw64_configure --disable-multi-threading-support
%mingw64_make %{?_smp_mflags} lib
%install
rm -rf $RPM_BUILD_ROOT
%mingw64_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

%files -n mingw64-libewf
%{mingw64_bindir}/libewf-2.dll
%{mingw64_includedir}/libewf.h
%{mingw64_includedir}/libewf/codepage.h
%{mingw64_includedir}/libewf/definitions.h
%{mingw64_includedir}/libewf/error.h
%{mingw64_includedir}/libewf/extern.h
%{mingw64_includedir}/libewf/features.h
%{mingw64_includedir}/libewf/types.h
%{mingw64_libdir}/libewf.a
%{mingw64_libdir}/libewf.dll.a
%{mingw64_libdir}/pkgconfig/libewf.pc
%{mingw64_bindir}/ewfacquire.exe
%{mingw64_bindir}/ewfacquirestream.exe
%{mingw64_bindir}/ewfdebug.exe
%{mingw64_bindir}/ewfexport.exe
%{mingw64_bindir}/ewfinfo.exe
%{mingw64_bindir}/ewfmount.exe
%{mingw64_bindir}/ewfrecover.exe
%{mingw64_bindir}/ewfverify.exe


%changelog

